package spring.bean.scope.prototype;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import spring.bean.scope.prototype.SimpleBean;

class AppMain {
	public static void main(String[] args) {
		ApplicationContext context = new ClassPathXmlApplicationContext(
				new String[] { "context.xml" });

		SimpleBean bean1 = (SimpleBean) context.getBean("simplebean2");
		bean1.setMessage("Message by bean1");
		System.out.println("Message : " + bean1.getMessage());

		SimpleBean bean2 = (SimpleBean) context.getBean("simplebean2");
		System.out.println("Message : " + bean2.getMessage());
	}
}